function control_connect(param)
global MODEL_PC
switch(param)
    case 'connect'
        prompt={'Enter the IP of computer with model:'};
        def={'127.0.0.1'};
        dlgTitle='Input parameters';
        lineNo=1;
        answer=inputdlg(prompt,dlgTitle,lineNo,def);
        if(~isempty(answer))
            MODEL_PC=actxserver('Matlab.application',answer{1});
            invoke(MODEL_PC,'execute','model');
            sys=get_param(gcs,'Handle');
            a=find_system(sys,'FindAll','on','RegExp','on','type','annotation','Name','IP*');
            if (~isempty(a))
                str1=strcat('IP: ',answer{1});
                set_param(a(1),'Name',strvcat(str1,'Connection: on'));
            end;
        end;
        a=find_system(sys,'FindAll','on','Tag','ConnectionBlock');
        set_param(a,'OpenFcn','control_connect disconnect;');
        set_param(a,'MaskDisplay','disp(''Double click\nto disconnect'')');
    case 'disconnect'
        release(MODEL_PC);
        sys=get_param(gcs,'Handle');        
        a=find_system(sys,'FindAll','on','Tag','ConnectionBlock');
        set_param(a,'OpenFcn','control_connect connect;');
        set_param(a,'MaskDisplay','disp(''Double click\nto connect\nto model'')');
        a=find_system(sys,'FindAll','on','RegExp','on','type','annotation','Name','IP*');
        if (~isempty(a))
            set_param(a(1),'Name',strvcat('IP:127.0.0.1','Connection: off'));
        end;
end;