function [sys,x0,str,ts] = get_control(t,x,u,flag,Control_Name,Control_Len)
switch flag,
 case 0,  % Initialization %
     sizes = simsizes;
     sizes.NumContStates  = 0;     
     sizes.NumDiscStates  = 0;
     sizes.NumOutputs     =Control_Len;
     sizes.NumInputs      = 0;
     sizes.DirFeedthrough = 1;     
     sizes.NumSampleTimes = 1;
     sys = simsizes(sizes);
     str=[];
     ts  = [0.1 0];
 case 3,  % Outputs %
     sys=evalin('base',Control_Name);
     sys=sys(1:Control_Len);
 case {1,2,4,9},
    sys=[];
 otherwise
    error(['Unhandled flag = ',num2str(flag)]);
end
% end get_control
