function [sys,x0,str,ts] = save_state(t,x,u,flag,STATE_NAME)
switch flag,
 case 0,% Initialization %
     sizes = simsizes;
     sizes.NumContStates  = 0;  
     sizes.NumDiscStates  = 0;
     sizes.NumOutputs     = 0;  
     sizes.NumInputs      =-1;% dynamically sized
     sizes.DirFeedthrough = 1;  
     sizes.NumSampleTimes = 1;
     sys = simsizes(sizes);
     str=[];
     ts  = [0.1 0];
 case 3,
       evalin('base',strcat(STATE_NAME,'=[',num2str(u'),'];'));
       sys=[];
 case {1,2,4,9},
    sys=[];
 otherwise
    error(['Unhandled flag = ',num2str(flag)]);
end
% end save_state
