function [sys,x0,str,ts] = to_model(t,x,u,flag,CONTROL_NAME,CONTROL_LEN)
switch flag,
 case 0,% Initialization %
     sizes = simsizes;
     sizes.NumContStates  = 0;     
     sizes.NumDiscStates  = 0;
     sizes.NumOutputs     = 0;     
     sizes.NumInputs      =-1;% dynamically sized
     sizes.DirFeedthrough = 1;
     sizes.NumSampleTimes = 1;
     sys = simsizes(sizes);
     str=[];
     ts  = [0.1 0];
  case 3,
       global MODEL_PC;
       if (CONTROL_LEN==1)
           CONTROL_LEN=CONTROL_LEN+1;
           u=[u 0];
       end;
       invoke(MODEL_PC,'PutFullMatrix',CONTROL_NAME,'global',[u],zeros(CONTROL_LEN,1));
       sys=[];
  case {1,2,4,9},
    sys=[];
  otherwise
    error(['Unhandled flag = ',num2str(flag)]);
end
% end to_model
