function [sys,x0,str,ts] = from_model(t,x,u,flag,STATE_NAME,STATE_LEN)
switch flag,
  case 0,  % Initialization %
     sizes = simsizes;
     sizes.NumContStates  = 0;
     sizes.NumDiscStates  = 0;
     sizes.NumOutputs     =-1;% dynamically sized
     sizes.NumInputs      = 0;
     sizes.DirFeedthrough = 1;
     sizes.NumSampleTimes = 1;
     sys = simsizes(sizes);
     str=[];
     ts  = [0.1 0];
  case 3,  % Outputs %
       global MODEL_PC;
       sys=invoke(MODEL_PC,'GetFullMatrix',STATE_NAME,'global',zeros(1,STATE_LEN),zeros(1,STATE_LEN));
   case {1,2,4,9},
    sys=[];
  otherwise
    error(['Unhandled flag = ',num2str(flag)]);
end
% end from_model
